ambari-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Dmytro Sen (JIRA)" <>
Subject [jira] [Created] (AMBARI-22815) Change requiredServices in metainfo.xml
Date Fri, 19 Jan 2018 13:06:00 GMT
Dmytro Sen created AMBARI-22815:

             Summary: Change requiredServices in metainfo.xml
                 Key: AMBARI-22815
             Project: Ambari
          Issue Type: Bug
          Components: ambari-server
    Affects Versions: 3.0.0
            Reporter: Dmytro Sen
            Assignee: Dmytro Sen
             Fix For: 3.0.0

Today we define requiredServices as follows


In the mpack model we need to categorize the scope of service dependency. We could have an
INSTALL time dependency (i.e. we should also install the dependent service) or a RUNTIME dependency
(i.e. there should be a running instance of the service in the cluster). 

For example HIVE in EDW mpack, will have an install-time dependency on ZOOKEEPER-CLIENT but
a RUNTIME dependency on ZOOKEEPER.


We should also check how we maintain compatibility with legacy stack definitions.

This message was sent by Atlassian JIRA

View raw message